/*
 *      Program do konwersji logow Gadu do ekg.
 *      Implementacja klasy Contact.
 *
 *      copyright (c) 2004 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "convert.h"

#define cut(x) do { l = line.find(";", i) - i; x = line.substr(i, l); i += l + 1; } while (0);

Convert::Contact::Contact(const string & line)
{
	unsigned int i = 0, l;
	cut(name)
	cut(surname)
	cut(nick)
	cut(show)
	cut(phone)
	cut(rubbish1)
	cut(uin)
	cut(email)
	rubbish2 = line.substr(i, string::npos);
}


Convert::Contact::operator string ()
{
	string tmp = name + ";";
	tmp += surname + ";";
	tmp += nick + ";";
	tmp += show + ";";
	tmp += phone + ";";
	tmp += rubbish1 + ";";
	tmp += uin + ";";
	tmp += email + ";";
	tmp += rubbish2;

	return tmp;
}
